/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2008 Diggory Hardy

This program is free software: you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation, either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/******************************************************************************
 *  This module is for interfacing with the mde.mde module (or other module
 *  containing main()) and contains some global references.
 *****************************************************************************/
module mde.imde;

import mde.scheduler.Scheduler;
import mde.content.miscContent;

static this () {
    // Make available to all importing modules:
    mainSchedule = new Scheduler;
    menus = new ContentList ("menu");
}

ContentList menus;	/// Root of all menus; import mde.menus to add entries

Scheduler mainSchedule; /// The schedule used by the main loop.

/** Some enums used by per request scheduled functions. */
enum SCHEDULE : Scheduler.ID {
    DRAW
};

bool run = true;	// main loop continues if this is true
